# Material Components

Stateless UI components for react that follow material design.

## Introduction

material-components is a library of [React](https://facebook.github.io/react/) (15.0.0) user interface components based on [material design](https://www.google.com/design/spec/).

material-components are completely stateless making them an ideal companion to libraries such as [Cerebral](http://christianalfoni.com/cerebral/) or [Redux](http://rackt.github.io/redux/). But they can also be used with other flux based frameworks or even without a framework at all.

The development of material-components has been sponsored by [Elastic Time](http://www.elastictime.com/).

## Documentation, Demos & Code Examples

Take a look at the [documentation app](http://garth.github.io/material-components) for demos and code examples.

![Demo](https://github.com/garth/material-components/blob/master/demo.png)

## Installation

```
yarn install --save-dev material-components
```

## Contribute

Fork the repository

* `yarn install`
* `yarn start` runs dev mode which watches for changes and auto lints, tests and builds. Visit http://localhost:8080/webpack-dev-server/index.html to view the demo app.
* `yarn test` runs the tests
* `yarn run lint` lints the code
* `yarn run build` compiles to es5

## License

MIT
